Skip to main content

Store items

POST 

/v2/actor-runs/:runId/dataset/items

Appends an item or an array of items to the end of the Actor run's default dataset.

This endpoint is a shortcut that resolves the run's defaultDatasetId and proxies to the Store items endpoint.

To save bandwidth and speed up your upload, you can send the request payload compressed and set the Content-Encoding header accordingly.

Below is a list of supported Content-Encoding types.

  • Brotli: Content-Encoding: br
  • Gzip: Content-Encoding: gzip
  • Deflate: Content-Encoding: deflate

Request

Path Parameters

    runId string required

    Actor run ID.


    Example: 3KH8gEpp4d8uQSe8T

Header Parameters

    Content-Encoding string

    Possible values: [br, gzip, deflate, identity]

    Compression encoding of the request body.

Bodyrequired

    oneOf
  • object

    The request body containing the item(s) to add to the dataset. Can be a single object or an array of objects. Each object represents one dataset item.


    Example: {"title":"Example Item","url":"https://example.com","price":19.99}

Status 201

Response Headers
  • Location
{}